import { DataDetails } from '../../forms/page/data-detail-view/data-details';
import { ChoiceList } from '../../forms/page/widgets/choicelist';
import { BoardColumn } from './board-column';
import { CardConfig } from './cardConfig';
export declare class BoardView {
    id: number;
    name: string;
    triggerWorkflow: boolean;
    choiceList: ChoiceList;
    cardConfig: CardConfig;
    footerConfig: CardConfig;
    columns: BoardColumn;
    dataDetail: DataDetails;
    constructor(boardView?: BoardView);
    boardView(boardView: BoardView): void;
    newBoardView(): void;
    /**function to create Board view object with existing values
    *
    *@param boardView
    *
    */
    static createBoardView(boardView: Array<BoardView>): Array<BoardView>;
}
